# Upload Public SSH Key to Yolo

There is no front-end to your capsul. All access to it will be remote, for example, with *ssh*. You need to create SSH keys and upload them to your account before you can create your capsul.

Create SSH Keys on your local Windows computer. This guide explains how to do so using Window's built-in OpenSSH feature. If you prefer [PuTTY](https://en.wikipedia.org/wiki/PuTTY), you can skip these steps and use that instead.

1. Open an Administrator PowerShell window. 
    ![open administrator powershell on windows](08-win-admin-power-shell.png "open administrator powershell on windows")
1. Use the *get-WindowsCapability* command to find out if Windows already has the OpenSSH client installed.
    ![is openssh client installed on windows?](09-win-is-openssh-installed.png "is openssh client installed on windows?")
    If you see "State : Installed" in the response, you don't need to add it. If it is not installed, use the *Add-WindowsCapability* command to add it.
    ![install openssh client on windows if needed](10-win-install-OpenSSH.png "install openssh client on windows if needed")
1. Use the Windows command line:
    1. Open a cmd.exe window. 
    1. *cd* to your home directory. In this example, the home directory is c:\users\userid. 
    1. Use *dir* to discover if you already have a *.ssh* subdirectory in your home directory. 
    1. If necessary, use *mkdir .ssh* to create the subdirectory.
    1. Run *ssh-keygen.exe* to generate an SSH key pair. Press *enter* key to accept the default filename. Press *enter* key twice to skip adding a passphrase. Your key pair identification is then saved in the *.ssh* subdirectory. You will see a key fingerprint ending in `your-Windows-username@your-Windows-hostname`. You'll also see the key's randomart image.
        ![create ssh key using ssh-keygen.exe](11-win-ssh-keygen.png "create ssh key using ssh-keygen.exe")
1. Launch Notepad.exe and open file *c:\users\userid\\.ssh\id_rsa.pub*. Select all of the file's contents and copy to the clipboard. ![copy public ssh key to clipboard using notepad.exe](12-win-notepad-cp-pub-ssh-key.png "copy public ssh key to clipboard using notepad.exe")

1. Go to the [**SSH PUBLIC KEYS**](find/the/link/to/this) page in your browser. You'll see a box labeled *File Contents*. Paste your public key from the clipboard into the box. Then, click the *Upload* button. ![paste public key into yolo SSH PUBLIC KEYS page](13-yolo-paste-public-key.png "paste public key into yolo SSH PUBLIC KEYS page")

1. Your uploaded public key will appear near the top of the page. ![your uploaded public key appears on yolo page](14-yolo-SSH-key-uploaded.png "your uploaded public key appears on yolo page")
